Help with packages (methods, stats, stats4)

classic Classic list List threaded Threaded
10 messages Options
Reply | Threaded
Open this post in threaded view
|

Help with packages (methods, stats, stats4)

imane hajar
hello,
Can you please give me a hand with this problem,well i can't install these
packages:
- stats
- methods
- stats4

when i tried the following command :  *library(help = "stats") * , it gave
me this output (*see picture*), so i contacted the Maintainer of the
package at (*[hidden email] <[hidden email]>*) but he said that
i write to the wrong place.

(i want to install those packages in order to use the "DVstats" package)

(i have the latest version of R (3.4.3 ) and Rstudio(1.2.240) )

thank you
Regards

______________________________________________
[hidden email] mailing list -- To UNSUBSCRIBE and more, see
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
and provide commented, minimal, self-contained, reproducible code.

1.PNG (17K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Help with packages (methods, stats, stats4)

imane hajar
hello ,

i am so sorry , i figure it out.

im sending this msj to the moderator to stop the approval of the mail .

have a good day.


2018-01-12 15:42 GMT+00:00 imane hajar <[hidden email]>:

> hello,
> Can you please give me a hand with this problem,well i can't install
> these packages:
> - stats
> - methods
> - stats4
>
> when i tried the following command :  *library(help = "stats") * , it
> gave me this output (*see picture*), so i contacted the Maintainer of the
> package at (*[hidden email] <[hidden email]>*) but he said
> that i write to the wrong place.
>
> (i want to install those packages in order to use the "DVstats" package)
>
> (i have the latest version of R (3.4.3 ) and Rstudio(1.2.240) )
>
> thank you
> Regards
>

        [[alternative HTML version deleted]]

______________________________________________
[hidden email] mailing list -- To UNSUBSCRIBE and more, see
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
and provide commented, minimal, self-contained, reproducible code.
Reply | Threaded
Open this post in threaded view
|

Re: Help with packages (methods, stats, stats4)

Duncan Murdoch-2
In reply to this post by imane hajar
On 12/01/2018 10:42 AM, imane hajar wrote:
> hello,
> Can you please give me a hand with this problem,well i can't install these
> packages:
> - stats
> - methods
> - stats4

Those are all base packages which are part of R.  If you have R, you
have them.  They can't be updated without updating all of R.

Duncan Murdoch

>
> when i tried the following command :  *library(help = "stats") * , it gave
> me this output (*see picture*), so i contacted the Maintainer of the
> package at (*[hidden email] <[hidden email]>*) but he said that
> i write to the wrong place.
>
> (i want to install those packages in order to use the "DVstats" package)
>
> (i have the latest version of R (3.4.3 ) and Rstudio(1.2.240) )
>
> thank you
> Regards
>
>
>
> ______________________________________________
> [hidden email] mailing list -- To UNSUBSCRIBE and more, see
> https://stat.ethz.ch/mailman/listinfo/r-help
> PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
> and provide commented, minimal, self-contained, reproducible code.
>

______________________________________________
[hidden email] mailing list -- To UNSUBSCRIBE and more, see
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
and provide commented, minimal, self-contained, reproducible code.
Reply | Threaded
Open this post in threaded view
|

Re: Help with packages (methods, stats, stats4)

Bert Gunter-2
In reply to this post by imane hajar
There appears to be a lot here that you don't understand, and a little
reading woud be a better way for you to resolve your confusion I believe.
Read Section 6 of the "R Installation and Administration" manual that ships
with R. There you will find that the stats and methods packages are already
installed. ?library tells you how to load them for use in your session. See
also ?install.packages and links for how to download and install package
from R package depositories, which mosty means CRAN.

Cheers,
Bert



Bert Gunter

"The trouble with having an open mind is that people keep coming along and
sticking things into it."
-- Opus (aka Berkeley Breathed in his "Bloom County" comic strip )

On Fri, Jan 12, 2018 at 7:42 AM, imane hajar <[hidden email]>
wrote:

> hello,
> Can you please give me a hand with this problem,well i can't install these
> packages:
> - stats
> - methods
> - stats4
>
> when i tried the following command :  *library(help = "stats") * , it gave
> me this output (*see picture*), so i contacted the Maintainer of the
> package at (*[hidden email] <[hidden email]>*) but he said
> that
> i write to the wrong place.
>
> (i want to install those packages in order to use the "DVstats" package)
>
> (i have the latest version of R (3.4.3 ) and Rstudio(1.2.240) )
>
> thank you
> Regards
>
> ______________________________________________
> [hidden email] mailing list -- To UNSUBSCRIBE and more, see
> https://stat.ethz.ch/mailman/listinfo/r-help
> PLEASE do read the posting guide http://www.R-project.org/
> posting-guide.html
> and provide commented, minimal, self-contained, reproducible code.
>

        [[alternative HTML version deleted]]

______________________________________________
[hidden email] mailing list -- To UNSUBSCRIBE and more, see
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
and provide commented, minimal, self-contained, reproducible code.
Reply | Threaded
Open this post in threaded view
|

Re: Help with packages (methods, stats, stats4)

Bert Gunter-2
1. Unless there is a good reason not to, please always cc the list. As you
note, I may misunderstand or just be too stupid, so you increase your
chance of getting a good answer by ccing them, which I have done here

2. It looks like you need  to install the multcomp package. Have you?

Cheers,
Bert



Bert Gunter

"The trouble with having an open mind is that people keep coming along and
sticking things into it."
-- Opus (aka Berkeley Breathed in his "Bloom County" comic strip )

On Fri, Jan 12, 2018 at 9:42 AM, imane hajar <[hidden email]>
wrote:

> Hello Mr Gunter ,
> i am sorry for distrubing you again ,i think its just a miss understanding
> of the problem, i said in the last lines of my msj that my main problem is
> that i cant use " DVstats" , i installed it using install.packages("DVstat
> s") and it seems ok , but when i use the following line : library(DVstats)
> , this error message appear : Error: package or namespace load failed for
> ‘DVstats’ in loadNamespace(j <- i[[1L]], c(lib.loc, .libPaths()),
> versionCheck = vI[[j]]): there is no package called ‘multcomp’ .
>
> so my final thoughts went with a hypothesis of what , maybe by updating R
> something happend with the bundled packages.
>
> (please bare with my english , i speak french )
>
> Thank you
>
> Regards
>
>
>
> 2018-01-12 17:20 GMT+00:00 Bert Gunter <[hidden email]>:
>
>> There appears to be a lot here that you don't understand, and a little
>> reading woud be a better way for you to resolve your confusion I believe.
>> Read Section 6 of the "R Installation and Administration" manual that ships
>> with R. There you will find that the stats and methods packages are already
>> installed. ?library tells you how to load them for use in your session. See
>> also ?install.packages and links for how to download and install package
>> from R package depositories, which mosty means CRAN.
>>
>> Cheers,
>> Bert
>>
>>
>>
>> Bert Gunter
>>
>> "The trouble with having an open mind is that people keep coming along
>> and sticking things into it."
>> -- Opus (aka Berkeley Breathed in his "Bloom County" comic strip )
>>
>> On Fri, Jan 12, 2018 at 7:42 AM, imane hajar <[hidden email]
>> > wrote:
>>
>>> hello,
>>> Can you please give me a hand with this problem,well i can't install
>>> these
>>> packages:
>>> - stats
>>> - methods
>>> - stats4
>>>
>>> when i tried the following command :  *library(help = "stats") * , it
>>> gave
>>> me this output (*see picture*), so i contacted the Maintainer of the
>>> package at (*[hidden email] <[hidden email]>*) but he said
>>> that
>>> i write to the wrong place.
>>>
>>> (i want to install those packages in order to use the "DVstats" package)
>>>
>>> (i have the latest version of R (3.4.3 ) and Rstudio(1.2.240) )
>>>
>>> thank you
>>> Regards
>>>
>>> ______________________________________________
>>> [hidden email] mailing list -- To UNSUBSCRIBE and more, see
>>> https://stat.ethz.ch/mailman/listinfo/r-help
>>> PLEASE do read the posting guide http://www.R-project.org/posti
>>> ng-guide.html
>>> and provide commented, minimal, self-contained, reproducible code.
>>>
>>
>>
>

        [[alternative HTML version deleted]]

______________________________________________
[hidden email] mailing list -- To UNSUBSCRIBE and more, see
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
and provide commented, minimal, self-contained, reproducible code.
Reply | Threaded
Open this post in threaded view
|

Re: Help with packages (methods, stats, stats4)

Karim Mezhoud
In reply to this post by imane hajar
Hi,
Did you try install.packages('stats').
Let we know about your   Sys.info()
Karim

On Fri, Jan 12, 2018 at 5:37 PM, imane hajar <[hidden email]>
wrote:

> hello ,
>
> i am so sorry , i figure it out.
>
> im sending this msj to the moderator to stop the approval of the mail .
>
> have a good day.
>
>
> 2018-01-12 15:42 GMT+00:00 imane hajar <[hidden email]>:
>
> > hello,
> > Can you please give me a hand with this problem,well i can't install
> > these packages:
> > - stats
> > - methods
> > - stats4
> >
> > when i tried the following command :  *library(help = "stats") * , it
> > gave me this output (*see picture*), so i contacted the Maintainer of the
> > package at (*[hidden email] <[hidden email]>*) but he said
> > that i write to the wrong place.
> >
> > (i want to install those packages in order to use the "DVstats" package)
> >
> > (i have the latest version of R (3.4.3 ) and Rstudio(1.2.240) )
> >
> > thank you
> > Regards
> >
>
>         [[alternative HTML version deleted]]
>
> ______________________________________________
> [hidden email] mailing list -- To UNSUBSCRIBE and more, see
> https://stat.ethz.ch/mailman/listinfo/r-help
> PLEASE do read the posting guide http://www.R-project.org/
> posting-guide.html
> and provide commented, minimal, self-contained, reproducible code.
>

        [[alternative HTML version deleted]]

______________________________________________
[hidden email] mailing list -- To UNSUBSCRIBE and more, see
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
and provide commented, minimal, self-contained, reproducible code.
Reply | Threaded
Open this post in threaded view
|

Re: Help with packages (methods, stats, stats4)

Duncan Murdoch-2
On 12/01/2018 1:11 PM, Karim Mezhoud wrote:
> Hi,
> Did you try install.packages('stats').

That will not work, as stats is a base package.  It comes with R, and
can't be changed.  The stats package should never be missing in a proper
install of R.

Duncan Murdoch

> Let we know about your   Sys.info()
> Karim
>
> On Fri, Jan 12, 2018 at 5:37 PM, imane hajar <[hidden email]>
> wrote:
>
>> hello ,
>>
>> i am so sorry , i figure it out.
>>
>> im sending this msj to the moderator to stop the approval of the mail .
>>
>> have a good day.
>>
>>
>> 2018-01-12 15:42 GMT+00:00 imane hajar <[hidden email]>:
>>
>>> hello,
>>> Can you please give me a hand with this problem,well i can't install
>>> these packages:
>>> - stats
>>> - methods
>>> - stats4
>>>
>>> when i tried the following command :  *library(help = "stats") * , it
>>> gave me this output (*see picture*), so i contacted the Maintainer of the
>>> package at (*[hidden email] <[hidden email]>*) but he said
>>> that i write to the wrong place.
>>>
>>> (i want to install those packages in order to use the "DVstats" package)
>>>
>>> (i have the latest version of R (3.4.3 ) and Rstudio(1.2.240) )
>>>
>>> thank you
>>> Regards
>>>
>>
>>          [[alternative HTML version deleted]]
>>
>> ______________________________________________
>> [hidden email] mailing list -- To UNSUBSCRIBE and more, see
>> https://stat.ethz.ch/mailman/listinfo/r-help
>> PLEASE do read the posting guide http://www.R-project.org/
>> posting-guide.html
>> and provide commented, minimal, self-contained, reproducible code.
>>
>
> [[alternative HTML version deleted]]
>
> ______________________________________________
> [hidden email] mailing list -- To UNSUBSCRIBE and more, see
> https://stat.ethz.ch/mailman/listinfo/r-help
> PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
> and provide commented, minimal, self-contained, reproducible code.
>

______________________________________________
[hidden email] mailing list -- To UNSUBSCRIBE and more, see
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
and provide commented, minimal, self-contained, reproducible code.
Reply | Threaded
Open this post in threaded view
|

Re: Help with packages (methods, stats, stats4)

Karim Mezhoud
Yes,
You are right. I mean
install.packages('DVstats').
Actually, it seems that DVstats does not have maintainer
https://github.com/USGS-R/DVstats
Karim

On Fri, Jan 12, 2018 at 7:20 PM, Duncan Murdoch <[hidden email]>
wrote:

> On 12/01/2018 1:11 PM, Karim Mezhoud wrote:
>
>> Hi,
>> Did you try install.packages('stats').
>>
>
> That will not work, as stats is a base package.  It comes with R, and
> can't be changed.  The stats package should never be missing in a proper
> install of R.
>
> Duncan Murdoch
>
>
> Let we know about your   Sys.info()
>> Karim
>>
>> On Fri, Jan 12, 2018 at 5:37 PM, imane hajar <[hidden email]
>> >
>> wrote:
>>
>> hello ,
>>>
>>> i am so sorry , i figure it out.
>>>
>>> im sending this msj to the moderator to stop the approval of the mail .
>>>
>>> have a good day.
>>>
>>>
>>> 2018-01-12 15:42 GMT+00:00 imane hajar <[hidden email]>:
>>>
>>> hello,
>>>> Can you please give me a hand with this problem,well i can't install
>>>> these packages:
>>>> - stats
>>>> - methods
>>>> - stats4
>>>>
>>>> when i tried the following command :  *library(help = "stats") * , it
>>>> gave me this output (*see picture*), so i contacted the Maintainer of
>>>> the
>>>> package at (*[hidden email] <[hidden email]>*) but he said
>>>> that i write to the wrong place.
>>>>
>>>> (i want to install those packages in order to use the "DVstats" package)
>>>>
>>>> (i have the latest version of R (3.4.3 ) and Rstudio(1.2.240) )
>>>>
>>>> thank you
>>>> Regards
>>>>
>>>>
>>>          [[alternative HTML version deleted]]
>>>
>>> ______________________________________________
>>> [hidden email] mailing list -- To UNSUBSCRIBE and more, see
>>> https://stat.ethz.ch/mailman/listinfo/r-help
>>> PLEASE do read the posting guide http://www.R-project.org/
>>> posting-guide.html
>>> and provide commented, minimal, self-contained, reproducible code.
>>>
>>>
>>         [[alternative HTML version deleted]]
>>
>> ______________________________________________
>> [hidden email] mailing list -- To UNSUBSCRIBE and more, see
>> https://stat.ethz.ch/mailman/listinfo/r-help
>> PLEASE do read the posting guide http://www.R-project.org/posti
>> ng-guide.html
>> and provide commented, minimal, self-contained, reproducible code.
>>
>>
>

        [[alternative HTML version deleted]]

______________________________________________
[hidden email] mailing list -- To UNSUBSCRIBE and more, see
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
and provide commented, minimal, self-contained, reproducible code.
Reply | Threaded
Open this post in threaded view
|

Re: Help with packages (methods, stats, stats4)

Duncan Murdoch-2
On 12/01/2018 1:25 PM, Karim Mezhoud wrote:
> Yes,
> You are right. I mean
> install.packages('DVstats').

That won't work either, because DVstats is not on CRAN.

> Actually, it seems that DVstats does not have maintainer
> https://github.com/USGS-R/DVstats

You can try

install.packages("devtools")  # if not already installed...
devtools::install_github("USGS-R/DVstats")


but that fails for me, with this message:

ERROR: dependencies ‘smwrBase’, ‘smwrGraphs’, ‘smwrStats’, ‘smwrQW’ are
not available for package ‘DVstats’

It doesn't look promising.

Duncan Murdoch

> Karim
>
> On Fri, Jan 12, 2018 at 7:20 PM, Duncan Murdoch <[hidden email]>
> wrote:
>
>> On 12/01/2018 1:11 PM, Karim Mezhoud wrote:
>>
>>> Hi,
>>> Did you try install.packages('stats').
>>>
>>
>> That will not work, as stats is a base package.  It comes with R, and
>> can't be changed.  The stats package should never be missing in a proper
>> install of R.
>>
>> Duncan Murdoch
>>
>>
>> Let we know about your   Sys.info()
>>> Karim
>>>
>>> On Fri, Jan 12, 2018 at 5:37 PM, imane hajar <[hidden email]
>>>>
>>> wrote:
>>>
>>> hello ,
>>>>
>>>> i am so sorry , i figure it out.
>>>>
>>>> im sending this msj to the moderator to stop the approval of the mail .
>>>>
>>>> have a good day.
>>>>
>>>>
>>>> 2018-01-12 15:42 GMT+00:00 imane hajar <[hidden email]>:
>>>>
>>>> hello,
>>>>> Can you please give me a hand with this problem,well i can't install
>>>>> these packages:
>>>>> - stats
>>>>> - methods
>>>>> - stats4
>>>>>
>>>>> when i tried the following command :  *library(help = "stats") * , it
>>>>> gave me this output (*see picture*), so i contacted the Maintainer of
>>>>> the
>>>>> package at (*[hidden email] <[hidden email]>*) but he said
>>>>> that i write to the wrong place.
>>>>>
>>>>> (i want to install those packages in order to use the "DVstats" package)
>>>>>
>>>>> (i have the latest version of R (3.4.3 ) and Rstudio(1.2.240) )
>>>>>
>>>>> thank you
>>>>> Regards
>>>>>
>>>>>
>>>>           [[alternative HTML version deleted]]
>>>>
>>>> ______________________________________________
>>>> [hidden email] mailing list -- To UNSUBSCRIBE and more, see
>>>> https://stat.ethz.ch/mailman/listinfo/r-help
>>>> PLEASE do read the posting guide http://www.R-project.org/
>>>> posting-guide.html
>>>> and provide commented, minimal, self-contained, reproducible code.
>>>>
>>>>
>>>          [[alternative HTML version deleted]]
>>>
>>> ______________________________________________
>>> [hidden email] mailing list -- To UNSUBSCRIBE and more, see
>>> https://stat.ethz.ch/mailman/listinfo/r-help
>>> PLEASE do read the posting guide http://www.R-project.org/posti
>>> ng-guide.html
>>> and provide commented, minimal, self-contained, reproducible code.
>>>
>>>
>>
>

______________________________________________
[hidden email] mailing list -- To UNSUBSCRIBE and more, see
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
and provide commented, minimal, self-contained, reproducible code.
Reply | Threaded
Open this post in threaded view
|

Re: Help with packages (methods, stats, stats4)

David Winsemius

> On Jan 12, 2018, at 12:01 PM, Duncan Murdoch <[hidden email]> wrote:
>
> On 12/01/2018 1:25 PM, Karim Mezhoud wrote:
>> Yes,
>> You are right. I mean
>> install.packages('DVstats').
>
> That won't work either, because DVstats is not on CRAN.
>
>> Actually, it seems that DVstats does not have maintainer
>> https://github.com/USGS-R/DVstats
>
> You can try
>
> install.packages("devtools")  # if not already installed...
> devtools::install_github("USGS-R/DVstats")
>
>
> but that fails for me, with this message:
>
> ERROR: dependencies ‘smwrBase’, ‘smwrGraphs’, ‘smwrStats’, ‘smwrQW’ are not available for package ‘DVstats’
>
> It doesn't look promising.

If you read the Instructions linked from https://github.com/USGS-R/smwrBase you find that the USGS maintains a repository which they expect one to add to your repo-list. Read:

https://owi.usgs.gov/R/training-curriculum/installr/

....

rprofile_path = file.path(Sys.getenv("HOME"), ".Rprofile"
)
write(
'\noptions(repos=c(getOption(\'repos\
'),
    CRAN=\'
https://cloud.r-project.org\
',
    USGS=\'
https://owi.usgs.gov/R\'))\n'
,
      rprofile_path,
      append =  TRUE)

cat(
'Your Rprofile has been updated to include GRAN.
    Please restart R for changes to take effect.'
)

They do have a misleading statement at the end of that page regarding the MacOS. It's true that Rtools are not needed for package development, but a casual reader could well conclude that meant no package development ancillary programs were needed. They _should_ have said that Apple's XCode of the proper version as well as the Command Line Tools were needed for package development on MacOS/OSX. I do have those installed. When I attempted installation I got partial success with:

install.packages(c('smwrBase', 'smwrGraphs', 'smwrStats', 'smwrQW'), repo='https://owi.usgs.gov/R/', type="source")

# However the lack of zCompositions (a CRAN package) initially prevented installation of smwrQW
# once  that dependency was installed I was able to install smwrQW and DVstats

install.packages( 'smwrQW', repo='https://owi.usgs.gov/R/', type="source")
install.packages( 'DVstats', repo='https://owi.usgs.gov/R/', type="source")

#resulting in...

> library(DVstats)
This information is preliminary or provisional and
is subject to revision. It is being provided to meet
the need for timely best science. The information
has not received final approval by the U.S. Geological
Survey (USGS) and is provided on the condition that
neither the USGS nor the U.S. Government shall be held
liable for any damages resulting from the authorized
or unauthorized use of the information.
                       
****Orphaned Package****
This package is looking for a new maintainer. For more information,
see: https://owi.usgs.gov/R/packages.html#orphan



>
> Duncan Murdoch
>
>> Karim
>> On Fri, Jan 12, 2018 at 7:20 PM, Duncan Murdoch <[hidden email]>
>> wrote:
>>> On 12/01/2018 1:11 PM, Karim Mezhoud wrote:
>>>
>>>> Hi,
>>>> Did you try install.packages('stats').
>>>>
>>>
>>> That will not work, as stats is a base package.  It comes with R, and
>>> can't be changed.  The stats package should never be missing in a proper
>>> install of R.
>>>
>>> Duncan Murdoch
>>>
>>>
>>> Let we know about your   Sys.info()
>>>> Karim
>>>>
>>>> On Fri, Jan 12, 2018 at 5:37 PM, imane hajar <[hidden email]
>>>>>
>>>> wrote:
>>>>
>>>> hello ,
>>>>>
>>>>> i am so sorry , i figure it out.
>>>>>
>>>>> im sending this msj to the moderator to stop the approval of the mail .
>>>>>
>>>>> have a good day.
>>>>>
>>>>>
>>>>> 2018-01-12 15:42 GMT+00:00 imane hajar <[hidden email]>:
>>>>>
>>>>> hello,
>>>>>> Can you please give me a hand with this problem,well i can't install
>>>>>> these packages:
>>>>>> - stats
>>>>>> - methods
>>>>>> - stats4
>>>>>>
>>>>>> when i tried the following command :  *library(help = "stats") * , it
>>>>>> gave me this output (*see picture*), so i contacted the Maintainer of
>>>>>> the
>>>>>> package at (*[hidden email] <[hidden email]>*) but he said
>>>>>> that i write to the wrong place.
>>>>>>
>>>>>> (i want to install those packages in order to use the "DVstats" package)
>>>>>>
>>>>>> (i have the latest version of R (3.4.3 ) and Rstudio(1.2.240) )
>>>>>>
>>>>>> thank you
>>>>>> Regards
>>>>>>
>>>>>>
>>>>>          [[alternative HTML version deleted]]
>>>>>
>>>>> ______________________________________________
>>>>> [hidden email] mailing list -- To UNSUBSCRIBE and more, see
>>>>> https://stat.ethz.ch/mailman/listinfo/r-help
>>>>> PLEASE do read the posting guide http://www.R-project.org/
>>>>> posting-guide.html
>>>>> and provide commented, minimal, self-contained, reproducible code.
>>>>>
>>>>>
>>>>         [[alternative HTML version deleted]]
>>>>
>>>> ______________________________________________
>>>> [hidden email] mailing list -- To UNSUBSCRIBE and more, see
>>>> https://stat.ethz.ch/mailman/listinfo/r-help
>>>> PLEASE do read the posting guide http://www.R-project.org/posti
>>>> ng-guide.html
>>>> and provide commented, minimal, self-contained, reproducible code.
>>>>
>>>>
>>>
>>
>
> ______________________________________________
> [hidden email] mailing list -- To UNSUBSCRIBE and more, see
> https://stat.ethz.ch/mailman/listinfo/r-help
> PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
> and provide commented, minimal, self-contained, reproducible code.

David Winsemius
Alameda, CA, USA

'Any technology distinguishable from magic is insufficiently advanced.'   -Gehm's Corollary to Clarke's Third Law

______________________________________________
[hidden email] mailing list -- To UNSUBSCRIBE and more, see
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
and provide commented, minimal, self-contained, reproducible code.